Package org.apache.qpid.proton.engine.impl

# Interface ProtocolTracer

All Known Implementing Classes:
  `LoggingProtocolTracer`

public interface ProtocolTracer

Author:
  Hiram Chirino

## Method Summary

Modifier and Type
Method
Description
`void`
`receivedFrame(TransportFrame transportFrame)`
`default void`
`receivedHeader(String header)`
`default void`
`receivedSaslBody(SaslFrameBody saslFrameBody)`
`void`
`sentFrame(TransportFrame transportFrame)`
`default void`
`sentHeader(String header)`
`default void`
`sentSaslBody(SaslFrameBody saslFrameBody)`

## Method Details

### receivedFrame

void receivedFrame(TransportFrame transportFrame)

### sentFrame

void sentFrame(TransportFrame transportFrame)

### receivedSaslBody

default void receivedSaslBody(SaslFrameBody saslFrameBody)

### sentSaslBody

default void sentSaslBody(SaslFrameBody saslFrameBody)

### receivedHeader

default void receivedHeader(String header)

### sentHeader

default void sentHeader(String header)